class java::install inherits java {
  #--
  if $download {
    # Download = True
	  case $java_version {
	      '8u25': { $url = 'http://download.oracle.com/otn-pub/java/jdk/8u25-b17/jdk-8u25-linux-x64.tar.gz' } 
        '7u76': { $url = 'http://download.oracle.com/otn-pub/java/jdk/7u76-b13/jdk-7u76-linux-x64.tar.gz' }
	      '7u75': { $url = 'http://download.oracle.com/otn-pub/java/jdk/7u75-b13/jdk-7u75-linux-x64.tar.gz' }
	      '7u72': { $url = 'http://download.oracle.com/otn-pub/java/jdk/7u72-b14/jdk-7u72-linux-x64.tar.gz' }
	  }
    # Download the file
    exec { 'get_java':
      cwd     => '/tmp/',
      command => "wget --no-cookies --no-check-certificate --header \"Cookie: gpw_e24=http%3A%2F%2Fwww.oracle.com%2F; oraclelicense=accept-securebackup-cookie\" \"${url}\"",
      timeout => 1200            
    }
  } else {
    # Download = False - Copy the file in directory
    notify { 'Using local cache for oracle java': }
    #
    file { 'copy_java':
	    ensure  => 'present',
	    force   => true,
	    path    => "/tmp/",
	    source  => "${source}jdk-${java_version}-linux-x64.tar.gz",
    }
  }
  #--
  # unzip the file
  exec { 'unzip_java ':
    cwd     => "/tmp/",
    command => "tar -xzf jdk-${java_version}-linux-x64.tar.gz -C ${source_dest}",
  }  

}